#! /bin/bash

link=( $(cut -d ',' -f1 1000genomesindex.txt ) )
individual=( $(cut -d ',' -f2 1000genomesindex.txt ) )
sex=( $(cut -d ',' -f3 1000genomesindex.txt ) )
pop=( $(cut -d ',' -f4 1000genomesindex.txt ) )
superpop=( $(cut -d ',' -f5 1000genomesindex.txt ) )

numtname=( $(cut -d ',' -f1 numtsbash.txt ) )
coordinates=( $(cut -d ',' -f2 numtsbash.txt ) )
length=( $(cut -d ',' -f3 numtsbash.txt ) )


for i in "${!coordinates[@]}"; do

mkdir /Users/Luis/analysis/aligns/"${numtname[i]}";
mkdir /Users/Luis/analysis/reads/"${numtname[i]}";

for j in "${!link[@]}"; do

    
    samtools view -h "${link[j]}" "${coordinates[i]}" | sed '/^@/ d' > /Users/Luis/analysis/reads/"${numtname[i]}"/"${numtname[i]}"_"${individual[j]}"_"${sex[j]}"_"${superpop[j]}"_"${pop[j]}"_read.txt;
    
    
done

done

